.location-section {
    padding: 5.62rem 0 3.75rem 0;
}

.location__inner {
    max-width: 73rem;
    margin-inline: auto;
}

.location__intro-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 4.4rem;
}

.location__intro-text-wrapper {
    max-width: 31rem;

    h2 {
        max-width: 19rem;
        margin-bottom: 1.56rem;
        font-weight: 600;
    }

    p {
        color: #757575;
    }
}


.location__beyondjes-logo {
    width: 270px;
}

.location__details-wrapper {
    margin-top: 6rem;
    display: flex;
    width: 100%;
    gap: 22px;
}

.location__featured-image-wrapper {
    width: 100%;
    img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        border-radius: 32px;
    }
}

.location__details-text-block-wrapper {
    padding: 48px;
    outline: 1px dashed var(--grey);
    width: fit-content;
    display: flex;
    flex-direction: column;
    gap: 3.19rem;
    border-radius: 48px;
}

.location__details-text-block {
    width: 309px;
    font-size: 1.125rem;
    color: #757575;

    h3 {
        color: black;
        margin-bottom: 0.75rem;
    }

    a {
        display: block;
        margin-top: 0.3rem;
        color: #757575;
    }

    address {
        font-style: normal;
        line-height: 160%;
    }
}

/* mobile styles */
@media (max-width: 806px) {
    .location__intro-wrapper {
        flex-direction: column-reverse;
        text-align: center;
    }

    .location__intro-text-wrapper {
        h2 {
            max-width: none;
        }
    }

    .location__beyondjes-logo {
        width: 155px;
    }

    .location__featured-image-wrapper {
        display: none;
    }

    .location__details-text-block-wrapper {
        width: 100%;
    }
}